Subject: bug#51234: emacs.pdmp file name (--fingerprint)

From: Robert Pluim <[email-masked]>
Date: Mon, 18 Oct 2021 10:01:39 +0200

>>>>> On Mon, 18 Oct 2021 09:41:09 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Thomas Klausner <[email-masked]> writes:
    >> I'm sending this mail because this filename causes problems for
    >> packagers who prefer maintaining static file lists to make sure
    >> exactly a known list of files is installed by a program.

    Lars> If you rename the file to "emacs.pdmp", Emacs will still find it, but I
    Lars> guess this isn't documented.  We could also add a configure option to do
    Lars> this renaming automatically, I guess?

Yes, we donʼt have enough configure options, and our Makefiles are too
simple /s

    Lars> Anybody got an opinion here?

We should document the 'emacs.pdmp' thing, but after that isnʼt it a
packaging issue? Whomever wants 'emacs.pdmp' just copies the actual
pdmp file to that.

Robert
--